repo/proj/guru:dev commit in: x11-themes/phinger-cursors/

"Gil Ferrand" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786736414.b506c3a4bdfbd273bf34a7d4bb3886f7fa401a30.bakedsnake@gentoo>
commit:     b506c3a4bdfbd273bf34a7d4bb3886f7fa401a30
Author:     bakedsnake <bakedsnake <AT> vagrantz <DOT> xyz>
AuthorDate: Fri Aug 14 19:33:24 2026 +0000
Commit:     Gil Ferrand <bakedsnake <AT> vagrantz <DOT> xyz>
CommitDate: Fri Aug 14 19:40:14 2026 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=b506c3a4

x11-themes/phinger-cursors: new package, add 2.1

Adds 4 sets of the `phinger-cursors` theme.

Signed-off-by: bakedsnake <bakedsnake <AT> vagrantz.xyz>

 x11-themes/phinger-cursors/Manifest                |  1 +
 x11-themes/phinger-cursors/metadata.xml            | 11 +++++++
 .../phinger-cursors/phinger-cursors-2.1.ebuild     | 37 ++++++++++++++++++++++
 3 files changed, 49 insertions(+)

diff --git a/x11-themes/phinger-cursors/Manifest b/x11-themes/phinger-cursors/Manifest
new file mode 100644
index 0000000000..a09dc37a94
--- /dev/null
+++ b/x11-themes/phinger-cursors/Manifest
@@ -0,0 +1 @@
+DIST phinger-cursors-2.1.tar.bz2 1752365 BLAKE2B e62a97696ad88cb41ee8c0719869764c6014973faed7b28658456280ffec886840870a26d19e473eaa85541213ad15f7705558a4ebf1be0578b4574ffca9e160 SHA512 5590c5c94f36aff063ac8684c24e2a2ddc747de2809d20cbe0861f488ba18c06e43673736f317abcb6254466c912e0f030b41d697d3bc2933ccc34df6890b0c5

diff --git a/x11-themes/phinger-cursors/metadata.xml b/x11-themes/phinger-cursors/metadata.xml
new file mode 100644
index 0000000000..2ad39d9833
--- /dev/null
+++ b/x11-themes/phinger-cursors/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>[email protected]</email>
+		<name>bakedsnake</name>
+	</maintainer>
+	<upstream>
+		<remote-id type="github">phisch/phinger-cursors</remote-id>
+	</upstream>
+</pkgmetadata>

diff --git a/x11-themes/phinger-cursors/phinger-cursors-2.1.ebuild b/x11-themes/phinger-cursors/phinger-cursors-2.1.ebuild
new file mode 100644
index 0000000000..8842c7bcb5
--- /dev/null
+++ b/x11-themes/phinger-cursors/phinger-cursors-2.1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Most likely the most over engineered cursor theme"
+HOMEPAGE="https://github.com/phisch/phinger-cursors"
+SRC_URI="https://github.com/phisch/phinger-cursors/releases/download/v${PV}/${PN}-variants.tar.bz2 -> ${P}.tar.bz2"
+S="${WORKDIR}"
+
+LICENSE="CC-BY-SA-4.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
+
+src_install() {
+	# we install into icons instead of `/usr/share/cursors`
+	# this  is done for  compatibility  with `lxappearance`
+	insinto /usr/share/icons/
+	doins -r ./*
+
+	# Reference `x11-themes/gentoo-xcursors` from ::gentoo
+	# Add symlinks in Gentoo-specific location for
+	# backwards compatibility => #848606
+	mkdir -p "${ED}/usr/share/cursors/${PN}" || die
+	cd "${ED}/usr/share/cursors/${PN}" || die
+	for cursorset in ../../icons/*; do
+	    dosym ${cursorset} /usr/share/cursors/${PN}/${cursorset##*/}
+	done
+}
+
+pkg_postinst() {
+	einfo "\nThe following sets were installed:"
+	einfo " - phinger-cursors-dark"
+	einfo " - phinger-cursors-dark-left"
+	einfo " - phinger-cursors-light"
+	einfo " - phinger-cursors-light-left\n"
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.